using UnityEngine;
using System.Collections.Generic;

namespace Script.Gameplay.Connect
{
    public interface IConnectable
    {
        void OnGazeEnter(); // 玩家开始注视时触发
        void OnGazeExit(); // 玩家停止注视时触发
        Vector3 GetPosition(); // 获取连接点位置
        string GetConnectableName(); // 获取连接点名称
        public ConnectionLine OutputConnectionLine { get; set; }
        public ConnectionLine InputConnectionLine { get; set; }
        bool IsConnectedOutput { get; set; } // 是否作为输出端连接
        bool IsConnectedInput { get; set; } // 是否作为输入端连接
        void ReceiveSignal(bool active, GameObject sender); // 接收信号
        void SendSignal(bool active, GameObject sender); // 发出信号
    }
}